Package Base Details: mindustry

Git Clone URL: https://aur.archlinux.org/mindustry.git (read-only, click to copy)
Submitter: dmitmel
Maintainer: dmitmel
Last Packager: dmitmel
Votes: 22
Popularity: 1.08
First Submitted: 2019-10-10 21:43
Last Updated: 2021-03-29 18:05

Latest Comments

« First ‹ Previous 1 2 3

dmitmel commented on 2019-10-28 08:34

vasya: It does work with Java 11 (at least starts, just tested), however only Java 8 is officially supported, so I'd rather wait for official announcements.

vasya commented on 2019-10-28 08:12

And another question if you don't mind. Does mindustry work on versions of java higher than 8? If yes, then the java dependency requirement should be changed to ">=8" I think. Otherwise you have e.g. java11, but mindustry won't build until you also install 8. The game will later be started with just java -jar anyway, so an update probably makes sense.

vasya commented on 2019-10-25 15:10

Thanks!

dmitmel commented on 2019-10-25 14:37

vasya: done

vasya commented on 2019-10-25 11:26

A small request: can you please quote usages of ${pkgbase} and ${pkgname}? I know this is not strictly required for a pkgbase that doesn't contain spaces, but shellcheck still gives a warning about it, and it might be nice to escape everything uniformly.